<script context="module">
    import axios from 'axios';
    import yaml from 'js-yaml';
    import markdownIt from 'markdown-it';
  
    const md = markdownIt();
  
    export async function load({ params }) {
      const { slug } = params;
  
      try {
        // Fetch the markdown content from your GitLab repository
        const { data: markdownContent } = await axios.get(`https://gitlab.com/username/repo/-/raw/main/content/${slug}/index.md`);
  
        // Fetch the YAML metadata from your GitLab repository
        const { data: yamlContent } = await axios.get(`https://gitlab.com/username/repo/-/raw/main/content/${slug}/metadata.yaml`);
  
        // Parse the markdown content
        const contentHtml = md.render(markdownContent);
  
        // Parse the YAML metadata
        const metadata = yaml.safeLoad(yamlContent);
  
        return {
          props: {
            contentHtml,
            metadata,
          },
        };
      } catch (err) {
        return { status: 500 };
      }
    }
  </script>
  
  <script>
    export let contentHtml;
    export let metadata;
  </script>
  
  <svelte:head>
    <title>{metadata.title}</title>
    <meta name="description" content={metadata.description}>
    <meta name="keywords" content={metadata.keywords}>
    <!-- Add more SEO tags here using the metadata -->
  </svelte:head>
  
  {@html contentHtml}
  